package me.parsell.dmblock.Core;

import org.jetbrains.annotations.Nullable;

import me.parsell.dmblock.Common.MultiBlockFacadeBlockModel;
import net.fabricmc.fabric.api.client.model.ModelProviderContext;
import net.fabricmc.fabric.api.client.model.ModelProviderException;
import net.fabricmc.fabric.api.client.model.ModelResourceProvider;
import net.minecraft.client.render.model.UnbakedModel;
import net.minecraft.util.Identifier;

public class MultiBlockAPIModelProvider implements ModelResourceProvider {
    public static final MultiBlockFacadeBlockModel MULTIBLOCKFACADE_BLOCK_MODEL = new MultiBlockFacadeBlockModel();
    public static final Identifier MULTIBLOCKFACADE_BLOCK_MODEL_BLOCK = new Identifier("dmblock:block/multiblockfacade_block");
    public static final Identifier MULTIBLOCKFACADE_BLOCK_MODEL_ITEM = new Identifier("dmblock:item/multiblockfacade_block");

    @Override
    public @Nullable UnbakedModel loadModelResource(Identifier identifier, ModelProviderContext context)
            throws ModelProviderException {
        if (identifier.equals(MULTIBLOCKFACADE_BLOCK_MODEL_BLOCK) || identifier.equals(MULTIBLOCKFACADE_BLOCK_MODEL_ITEM)) {
            return MULTIBLOCKFACADE_BLOCK_MODEL;
        } else {
            return null;
        }
    }

}
